import { defineComponent as s, computed as e, openBlock as a, createBlock as i, unref as p, normalizeProps as u, guardReactiveProps as c, withCtx as f, createVNode as l, mergeProps as P } from "vue";
import "../../confirm-button/index.mjs";
import "../../count-down-button/index.mjs";
import "../../ellipsis/index.mjs";
import "../../rich-text-editor/index.mjs";
import { WetEditableTable as d } from "../index.mjs";
import { WetProFormItem as I } from "../../pro-form/index.mjs";
import "../../pro-table/index.mjs";
import "../../pro-descriptions/index.mjs";
import "../../layout/index.mjs";
import "../../page/index.mjs";
import "../../guide/index.mjs";
import { wetProFormItemProps as _ } from "../../pro-form/src/types.mjs";
const A = /* @__PURE__ */ s({
  name: "WetFormArray",
  __name: "array",
  props: {
    ..._,
    formInputProps: {
      type: Object
    }
  },
  setup(m) {
    const o = m, t = e(() => {
      const r = { ...o };
      return delete r.formInputProps, r;
    });
    return e(() => {
      var r;
      return ((r = o.formInputProps) == null ? void 0 : r.columns) || [];
    }), (r, b) => (a(), i(p(I), u(c(t.value)), {
      default: f(({ modelValue: n }) => [
        l(p(d), P({
          ...n,
          ...o.formInputProps
        }, {
          prop: t.value.prop
        }), null, 16, ["prop"])
      ]),
      _: 1
    }, 16));
  }
});
export {
  A as default
};
